<template lang="pug">

#app
  router-view

</template>
<script>

export default {
  created() {
    this.$store.commit('track')
    this.$store.commit('updTitle', "Beowulf Asia | Arts")
    // this.$store.commit('getGrids', {name:'master',id:1})
  },
  mounted() {
    this.$nextTick(function() {
      window.addEventListener('resize', this.getWindowWidth);
      window.addEventListener('resize', this.getWindowHeight);

      //Init
      this.getWindowWidth()
      this.getWindowHeight()
    })
  },
  methods: {
    getWindowWidth(event) {
      this.$store.state.win.W = document.documentElement.clientWidth;
      console.log(this.$store.state.win.W)
    },
    getWindowHeight(event) {
      this.$store.state.win.H = document.documentElement.clientHeight;
      console.log(this.$store.state.win.H)
    }
  },
  beforeDestroy() {
    window.removeEventListener('resize', this.getWindowWidth);
    window.removeEventListener('resize', this.getWindowHeight);
  }
}
</script>

<style lang="stylus">

@import url('https://fonts.googleapis.com/css?family=Ibarra+Real+Nova&display=swap')

body
  margin 0
  background-color black

#app
  display grid
  grid-template-columns repeat(100, 1vw)
  grid-template-rows    repeat(100, 1vh)
  -webkit-font-smoothing antialiased
  -moz-osx-font-smoothing grayscale
  font-family 'Ibarra Real Nova', serif
  color white
  background-color black

</style>
